Set Catalog Item Product Popularity
1 min
PUT
https://api.upstartcommerce.com/v1/catalog/productpopularity
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Body Parameters
- bodyUpdateCatalogItemPopularityrequired
- popularityProductPopularity[]required
- catalogItemIdstringrequiredDescription
- productPopularitynumber<double>DescriptionFormatdouble
- siteIdsSiteId[]Description
Responses
200
- UpdateCatalogItemPopularityResponse
- updatedinteger<int32>DescriptionFormatint32
- errorsidsNotFound[]Description
- idstringrequiredDescription
- reasonstringrequiredDescription
400
- ValidationErrorResponse
- namestringrequired
- codestringrequired
- detailstring
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request PUT \
--url https://api.upstartcommerce.com/v1/catalog/productpopularity \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"popularity": [
{
"catalogItemId": ""
}
]
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"popularity": [
{
"catalogItemId": ""
}
]
});
var requestOptions = {
method: 'PUT',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/catalog/productpopularity", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/catalog/productpopularity")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"popularity": [
{
"catalogItemId": ""
}
]
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/catalog/productpopularity"
payload = json.dumps({
"popularity": [
{
"catalogItemId": ""
}
]
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
200
// Update Catalog Item Popularity Response
{
"updated": "",
"errors": [
{
"id": "",
"reason": ""
}
]
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}